Bug 11519 - Possible bug in lprm/lpd: It doesn't allow to remove remote printer jobs
Possible bug in lprm/lpd: It doesn't allow to remove remote printer jobs
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: lpr (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-19 05:12 EDT by Josi M. Benmtez
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-19 05:12:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josi M. Benmtez 2000-05-19 05:12:24 EDT
We've been using Linux as client and server OS for a long time. We've been
using BSD lpd system to set up a network printing service. A machine
running under Linux RH 6.2 is offering printing service to other machines
in the network. Authorizated client machines are included in server's
/etc/hosts.lpd. Client machines are avaible to send and get their jobs
printed through the printer attached to the server. However, jobs CANNOT
get purged from the printer queue. You always get a "permission denied"
reply for an lprm command. The only way to get rid of the jobs is executing
lprm as root at the server machine. Permissions are right, namely,
-rwxr--r--    1 root     root        51696 Feb 14 20:13 /usr/sbin/lpd
-r-sr-sr-x    1 root     lp          17208 Feb 14 20:13 /usr/bin/lprm

	We have tried using lprm from differente clients running under differente
distributions of linux (Red Hat, Slackware, SuSe) with different kernels
and program version. In no case lprm succeded.
	We have also run the lpd daemon with the -l option, but no significant
information has been obtained.
	There have been no changes in either network or printer configuration
files from RH 5.1, where everything was running fine. Upgrading to RH 6.0,
RH 6.1 or RH 6.2 didn't solve the problem. I think that this should be an
error in the lprm or lpd programs.
Comment 1 Bernhard Rosenkraenzer 2000-07-17 11:22:11 EDT
This is fixed in rawhide with the move to LPRng.

Note You need to log in before you can comment on or make changes to this bug.